Subject: Re: [PATCH 1/2] refs: adapt `initial_transaction` flag to be unsigned

From: Junio C Hamano <[email-masked]>
Date: Tue, 26 Nov 2024 17:22:26 +0900

Patrick Steinhardt <[email-masked]> writes:

> The `initial_transaction` flag is tracked as a signed integer, but we
> typically pass around flags via unsigned integers. Adapt the type
> accordingly.

It would not matter while the information in the variable is 1 bit
and the check is "is the whole variable 0?", which is what the
current code does on this parameter.  But when we'd start using the
parameter as a flag word to stuff more bits, this starts to matter.

Good future-proofing.  Thanks.